# API

## Symmetric band

```@docs
symband
```

### Example

```@example
using AbstractGPsMakie
using CairoMakie
using Random: Random # hide
Random.seed!(1) # hide

x = 1:10
y = rand(10)
Δy = rand(10)
symband(x, y, Δy; color=(:blue, 0.3), bandscale=2.5)
save("symband_example.svg", current_figure()); nothing # hide
```

![symband example](symband_example.svg)

## Samples

```@docs
gpsample
gpsample(::AbstractVector, ::AbstractGPsMakie.AbstractGP)
```

### Example

```@example
using AbstractGPs
using AbstractGPsMakie
using CairoMakie
using Random: Random # hide
Random.seed!(1) # hide

gp = GP(Matern32Kernel())
gpsample(0:0.01:10, gp; samples=10, color=:red)
save("gpsample_example.svg", current_figure()); nothing # hide
```

![gpsample example](gpsample_example.svg)
